'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TRANSIT_MODE = undefined;
exports.convertTransitMode = convertTransitMode;

var _es6Enum = require('es6-enum');

var _es6Enum2 = _interopRequireDefault(_es6Enum);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TRANSIT_MODE = exports.TRANSIT_MODE = (0, _es6Enum2.default)('BUS', 'SUBWAY', 'TRAIN', 'TRAM', 'RAIL');

function convertTransitMode(transitMode) {
  switch (transitMode) {
    case TRANSIT_MODE.BUS:
      return 'bus';

    case TRANSIT_MODE.SUBWAY:
      return 'subway';

    case TRANSIT_MODE.TRAIN:
      return 'train';

    case TRANSIT_MODE.TRAM:
      return 'tram';

    case TRANSIT_MODE.RAIL:
      return 'rail';

    default:
      throw new Error('unknown transit mode');
  }
}