'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TRAVEL_MODE = undefined;
exports.translateToTravelMode = translateToTravelMode;
exports.translateFromTravelMode = translateFromTravelMode;

var _es6Enum = require('es6-enum');

var _es6Enum2 = _interopRequireDefault(_es6Enum);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// see https://developers.google.com/maps/documentation/directions/intro#TravelModes for different travel modes
var TRAVEL_MODE = exports.TRAVEL_MODE = (0, _es6Enum2.default)('DRIVING', 'WALKING', 'BICYCLING', 'TRANSIT');

function translateToTravelMode(travelMode) {
  var upperCaseTravelMode = travelMode.toUpperCase();
  if (upperCaseTravelMode == 'WALKING') {
    return TRAVEL_MODE.WALKING;
  }

  if (upperCaseTravelMode == 'DRIVING') {
    return TRAVEL_MODE.DRIVING;
  }

  if (upperCaseTravelMode == 'BICYCLING') {
    return TRAVEL_MODE.BICYCLING;
  }

  if (upperCaseTravelMode == 'TRANSIT') {
    return TRAVEL_MODE.TRANSIT;
  }

  throw new Error('unknown transit mode');
}

function translateFromTravelMode(travelMode) {
  switch (travelMode) {
    case TRAVEL_MODE.DRIVING:
      return 'driving';

    case TRAVEL_MODE.WALKING:
      return 'walking';

    case TRAVEL_MODE.BICYCLING:
      return 'bicycling';

    case TRAVEL_MODE.TRANSIT:
      return 'transit';

    default:
      throw new Error('unknown travel mode');
  }
}