'use strict';
'use es6';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _requestPromise = require('request-promise');

var _requestPromise2 = _interopRequireDefault(_requestPromise);

var _GoogleDirectionsTranslationService = require('./GoogleDirectionsTranslationService');

var _GoogleDirectionsTranslationService2 = _interopRequireDefault(_GoogleDirectionsTranslationService);

var _TravelMode = require('../data/TravelMode');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var GoogleDirectionsService = function () {
  function GoogleDirectionsService() {
    _classCallCheck(this, GoogleDirectionsService);

    this.key = "AIzaSyAbhFqQbPVoa9KbdTG9k-Co0iwjvugppKo";
    this.baseUri = "https://maps.googleapis.com/maps/api/directions/json";
  }

  _createClass(GoogleDirectionsService, [{
    key: 'generateOptions',
    value: function generateOptions(originCoordinate, destinationCoordinate, travelMode) {
      return {
        uri: this.baseUri,
        qs: {
          origin: originCoordinate.latitude + ',' + originCoordinate.longitude,
          destination: destinationCoordinate.latitude + ',' + destinationCoordinate.longitude,
          mode: (0, _TravelMode.translateFromTravelMode)(travelMode),
          key: this.key
        },
        headers: { 'User-Agent': 'Request-Promise' },
        json: true
      };
    }
  }, {
    key: 'fetch',
    value: function fetch(originCoordinate, destinationCoordinate, travelMode) {
      return (0, _requestPromise2.default)(this.generateOptions(originCoordinate, destinationCoordinate, travelMode)).then(function (response) {
        return _GoogleDirectionsTranslationService2.default.translateDirections(response);
      }).catch(function (err) {
        return console.log(err);
      });
    }
  }]);

  return GoogleDirectionsService;
}();

exports.default = GoogleDirectionsService;